# Class SurfaceTool

java.lang.Object
org.openscience.jmol.app.surfacetool.SurfaceTool

public class SurfaceTool extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JmolViewer`
`vwr`

## Constructor Summary

Constructors
Constructor
Description
`SurfaceTool(JmolViewer vwr, HistoryFile hfile, String winName, boolean useGUI)`

## Method Summary

Modifier and Type
Method
Description
`List<SurfaceStatus>`
`getSurfaces()`
`void`
`toFront()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### vwr

protected JmolViewer vwr

## Constructor Details

### SurfaceTool

public SurfaceTool(JmolViewer vwr, HistoryFile hfile, String winName, boolean useGUI)

## Method Details

### toFront

public void toFront()

### getSurfaces

public List<SurfaceStatus> getSurfaces()